<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 

   $nombrepagina = "PENDIENTES MENSAJERO ".$nommens;
   encabezado($target); 

   $user=$_SESSION['validar'];
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
    if($filas == 1)
	{
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 
$sql_pendientes="SELECT count(g.guia), g.orden, o.producto, c.nombre 
				FROM $tabla as g 
				inner join rastreo_guias as r on (g.guia=r.guia)
				inner join ordenes as o on (g.orden=o.orden)
				inner join clientes as c on (o.id_cliente=c.id_cliente)
				WHERE o.tp_digita=1 and g.id_mensajero = '".$_GET['id_mens']."' AND g.id_estado = '13' AND 
				r.F13>='".$f1."' AND r.F13<'".$f2."' GROUP BY g.orden";
//echo $sql_pendientes;
class filas{
	var $rowsobj;
		function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
		}
}
$filasobj=new filas();
$cant=$filasobj->cantidad($sql_pendientes);
$total_paginas= ceil($cant/$tamano_pagina);
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
?>
<form action="" method="POST" name="backup">
<CENTER>
<a href="pendientes_mensajero.php?id_user=<? echo $id_user;?>&suc=<? echo $id_sucursal;?>&f1=<? echo $f1;?>&f2=<? echo $f2;?>" class="mainlevel"><b>REGRESAR</b></a>
<table width="520" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="70"><div align="center">ODS</div></td>
<td valign=top class=miTable_th1 width="200"><div align="center">CLIENTE</div></td>
<td valign=top class=miTable_th1 width="200"><div align="center">PRODUCTO</div></td>
<td valign=top class=miTable_th1 width="50"><div align="center">PENDIENTES</div></td>
</tr>
<?
	class elimina{
		  var $userObj;
		  function eliminar($tabla,$id_mens,$f1,$f2){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new select_zonas();
				   $this->userObj->registros_pendientes($inicio,$tamano_pagina,$_GET['id_user'],$_GET['suc'],$tabla,$id_mens,$f1,$f2);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($tabla,$id_mens,$f1,$f2);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="3">
<div align="right">Total Pendientes:</div>
</td>
<td class=miTable_th1 colspan="7">
<?
echo $_SESSION['pend_total'];
?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href=ver_pendiente.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&id_mens=$id_mens&tabla=$tabla&nommens=$nommens&f1=$f1&f2=$f2'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='ver_pendiente.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&id_mens=$id_mens&tabla=$tabla&nommens=$nommens&f1=$f1&f2=$f2'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='ver_pendiente.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&id_mens=$id_mens&tabla=$tabla&nommens=$nommens&f1=$f1&f2=$f2'> >> </A>";

			}
		 
			
		 } 
?>
</div>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='id_mens' value='<? echo $id_mens?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>
<a href="pendientes_mensajero.php?id_user=<? echo $id_user;?>&suc=<? echo $id_sucursal;?>&f1=<? echo $f1;?>&f2=<? echo $f2;?>" class="mainlevel"><b>REGRESAR</b></a>
</CENTER>

	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>
</center>
</form>